searchData={"items":[{"type":"module","title":"Chr","doc":"Chr module","ref":"Chr.html"},{"type":"function","title":"Chr.busiest_day/1","doc":"busiest day","ref":"Chr.html#busiest_day/1"},{"type":"function","title":"Chr.daily_activity/1","doc":"Daily Activity","ref":"Chr.html#daily_activity/1"},{"type":"function","title":"Chr.get_history_list/0","doc":"return command history","ref":"Chr.html#get_history_list/0"},{"type":"function","title":"Chr.pick_up_command/1","doc":"pick up command from history record","ref":"Chr.html#pick_up_command/1"},{"type":"function","title":"Examples - Chr.pick_up_command/1","doc":"iex> Chr.pick_up_command(\": 1707397937:0;cat ~/.zsh_history\")\n    \"cat\"\n\n    iex> Chr.pick_up_command(\": 1707397937:0;clear\")\n    \"clear\"","ref":"Chr.html#pick_up_command/1-examples"},{"type":"function","title":"Chr.pick_up_date/1","doc":"pick up date from DateTime","ref":"Chr.html#pick_up_date/1"},{"type":"function","title":"Examples - Chr.pick_up_date/1","doc":"iex> Chr.pick_up_date(~U[2021-03-31 00:00:00Z])\n    ~D[2021-03-31]","ref":"Chr.html#pick_up_date/1-examples"},{"type":"function","title":"Chr.pick_up_directory/1","doc":"pick up directory from history record","ref":"Chr.html#pick_up_directory/1"},{"type":"function","title":"Examples - Chr.pick_up_directory/1","doc":"iex> Chr.pick_up_directory(\": 1707397937:0;cd ~/projects/chr\")\n    \"~/projects/chr\"","ref":"Chr.html#pick_up_directory/1-examples"},{"type":"function","title":"Chr.pick_up_hour/1","doc":"pick up time from DateTime","ref":"Chr.html#pick_up_hour/1"},{"type":"function","title":"Chr.pick_up_local_datetime/1","doc":"pick up date from history record","ref":"Chr.html#pick_up_local_datetime/1"},{"type":"function","title":"Examples - Chr.pick_up_local_datetime/1","doc":"iex> Chr.pick_up_local_datetime(\": 1707397937:0;cat ~/.zsh_history\")\n    ~U[2024-02-08 22:12:17Z]","ref":"Chr.html#pick_up_local_datetime/1-examples"},{"type":"function","title":"Chr.pick_up_weekday/1","doc":"pick weekday from DateTime","ref":"Chr.html#pick_up_weekday/1"},{"type":"function","title":"Examples - Chr.pick_up_weekday/1","doc":"iex> Chr.pick_up_weekday(~U[2021-03-31 00:00:00Z])\n    3","ref":"Chr.html#pick_up_weekday/1-examples"},{"type":"function","title":"Chr.timestamp_to_datetime/1","doc":"timestamp to datetime","ref":"Chr.html#timestamp_to_datetime/1"},{"type":"function","title":"Examples - Chr.timestamp_to_datetime/1","doc":"iex> Chr.timestamp_to_datetime(\"1617226800\")\n    ~U[2021-03-31 21:40:00Z]","ref":"Chr.html#timestamp_to_datetime/1-examples"},{"type":"function","title":"Chr.timezone_offset/0","doc":"","ref":"Chr.html#timezone_offset/0"},{"type":"function","title":"Chr.top_commands/1","doc":"top commands","ref":"Chr.html#top_commands/1"},{"type":"function","title":"Chr.top_directories/1","doc":"top directories","ref":"Chr.html#top_directories/1"},{"type":"function","title":"Chr.weekly_activity/1","doc":"Weekly Activity","ref":"Chr.html#weekly_activity/1"},{"type":"module","title":"Chr.Cli","doc":"CLI module","ref":"Chr.Cli.html"},{"type":"function","title":"Chr.Cli.main/1","doc":"main function","ref":"Chr.Cli.html#main/1"},{"type":"module","title":"Chr.Print","doc":"Print module","ref":"Chr.Print.html"},{"type":"function","title":"Chr.Print.count_stringify/3","doc":"count stringify","ref":"Chr.Print.html#count_stringify/3"},{"type":"function","title":"Chr.Print.percent_stringify/2","doc":"percent stringify","ref":"Chr.Print.html#percent_stringify/2"},{"type":"function","title":"Chr.Print.print_box/2","doc":"print box","ref":"Chr.Print.html#print_box/2"},{"type":"function","title":"Chr.Print.print_busiest_day/1","doc":"print busiest day","ref":"Chr.Print.html#print_busiest_day/1"},{"type":"function","title":"Chr.Print.print_count_bar/4","doc":"print count bar","ref":"Chr.Print.html#print_count_bar/4"},{"type":"function","title":"Chr.Print.print_count_number/4","doc":"print count number","ref":"Chr.Print.html#print_count_number/4"},{"type":"function","title":"Chr.Print.print_daily_activity/1","doc":"print daily activity","ref":"Chr.Print.html#print_daily_activity/1"},{"type":"function","title":"Chr.Print.print_logo/0","doc":"print logo","ref":"Chr.Print.html#print_logo/0"},{"type":"function","title":"Chr.Print.print_top_commands/1","doc":"print top commands","ref":"Chr.Print.html#print_top_commands/1"},{"type":"function","title":"Chr.Print.print_top_directories/1","doc":"print top directories","ref":"Chr.Print.html#print_top_directories/1"},{"type":"function","title":"Chr.Print.print_weekly_activity/1","doc":"print weekly activity","ref":"Chr.Print.html#print_weekly_activity/1"},{"type":"extras","title":"CHR","doc":"# CHR\n\nCHR(Command History Report): A command history report tool base on your shell history file.\n\n> Your data is yours.\n\n[![Hex.pm version](https://img.shields.io/hexpm/v/chr.svg)](https://hex.pm/packages/chr)\n[![Twitter: ThaddeusJiang](https://img.shields.io/twitter/follow/ThaddeusJiang.svg?style=social)](https://twitter.com/ThaddeusJiang)\n\n> Inspired by the Fig report, this tool aims to provide a similar experience for those not using Fig.\n\n![Fig 2022 Wrapped](https://pbs.twimg.com/media/FkqSV8hXoAEXqON?format=png&name=small)","ref":"readme.html"},{"type":"extras","title":"Features - CHR","doc":"- 🏆Top Commands\n- 📂Top Directories\n- 💦Busiest Day\n- 📅Weekly Activity\n- 🕙Daily Activity","ref":"readme.html#features"},{"type":"extras","title":"Requirements - CHR","doc":"- [Elixir](https://elixir-lang.org/install.html)\n\n```sh\nbrew install elixir\n```","ref":"readme.html#requirements"},{"type":"extras","title":"Usage - CHR","doc":"```sh\nmix escript.install hex chr\n\nchr\n```","ref":"readme.html#usage"},{"type":"extras","title":"Report Example - CHR","doc":"```\n┌─────────────────────────────────────────────────────────────┐\n│                                                             │\n│  ███████╗    ██╗  ██╗    ██████╗                            │\n│  ██╔════╝    ██║  ██║    ██╔══██╗                           │\n│  ██║         ███████║    ██████╔╝                           │\n│  ██║         ██╔══██║    ██╔══██╗                           │\n│  ╚██████╗    ██║  ██║    ██║  ██║                           │\n│   ╚═════╝    ╚═╝  ╚═╝    ╚═╝  ╚═╝  Commands History Report  │\n│                                                             │\n│  Made with ❤️ by ThaddeusJiang                               │\n│  source code: https://github.com/ThaddeusJiang/chr          │\n│                                                             │\n└─────────────────────────────────────────────────────────────┘\n┌─🏆 Top Commands────┐\n│                    │\n│  810 git           │\n│  276 cd            │\n│  183 code          │\n│  150 mix           │\n│  111 ls            │\n│  93 clear          │\n│  63 docker         │\n│  59 npm            │\n│  49 k6             │\n│  45 ./gitlab_cli   │\n│                    │\n└────────────────────┘\n┌─📂 Top Directories──────────┐\n│                             │\n│  36 git/work/plugo          │\n│  24 repos/backend           │\n│  16 repos/roaming-gateway   │\n│  14 git/ThaddeusJiang       │\n│  13 repos/k8s               │\n│                             │\n└─────────────────────────────┘\n┌─💦 Busiest Day───────────────┐\n│                              │\n│  372 commands on 2024-02-19  │\n│                              │\n└──────────────────────────────┘\n┌─📅 Weekly Activity─────────┐\n│                            │\n│  Mon                       │\n│  Tue ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓  │\n│  Wed ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓      │\n│  Thu ▓▓▓▓▓▓▓               │\n│  Fri ▓▓▓▓▓▓▓▓▓▓▓           │\n│  Sat ▓▓▓▓▓▓▓▓▓▓            │\n│  Sun ▓                     │\n│                            │\n└────────────────────────────┘\n┌─🕑 Daily Activity─────────┐\n│                           │\n│  01                       │\n│  02                       │\n│  03                       │\n│  04                       │\n│  05 ▓                     │\n│  06 ▓▓                    │\n│  07 ▓                     │\n│  08                       │\n│  09                       │\n│  10 ▓                     │\n│  11 ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓  │\n│  12 ▓▓▓▓▓▓▓▓▓▓            │\n│  13 ▓▓▓▓▓▓▓▓▓▓▓           │\n│  14 ▓▓▓▓▓▓▓▓▓             │\n│  15 ▓▓▓▓▓▓▓▓▓▓▓▓▓         │\n│  16 ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓   │\n│  17 ▓▓▓▓▓▓▓▓▓▓            │\n│  18 ▓▓▓▓▓▓▓▓▓▓▓▓          │\n│  19 ▓▓▓▓▓▓▓▓              │\n│  20 ▓▓▓▓▓▓▓▓▓▓▓           │\n│  21 ▓▓▓▓▓▓▓               │\n│  22 ▓▓▓▓▓▓                │\n│  23 ▓▓▓▓▓                 │\n│  24 ▓                     │\n│                           │\n└───────────────────────────┘\n```","ref":"readme.html#report-example"},{"type":"extras","title":"Author - CHR","doc":"👤 **Thaddeus Jiang**\n\n- Website: https://thaddeusjiang.com/\n- Twitter: [@ThaddeusJiang](https://twitter.com/ThaddeusJiang)\n- Github: [@ThaddeusJiang](https://github.com/ThaddeusJiang)","ref":"readme.html#author"},{"type":"extras","title":"Acknowledgement - CHR","doc":"This has been possible due to the previous work of numerous people. In particular:\n\n- @borkdude - Author of babashka, thanks for helping me remove the manual data preparation requirement","ref":"readme.html#acknowledgement"},{"type":"extras","title":"Show your support - CHR","doc":"Give a ⭐️ if this project helped you!\n\n---\n\n_This README was generated with ❤️ by [readme-md-generator](https://github.com/kefranabg/readme-md-generator)_","ref":"readme.html#show-your-support"}],"content_type":"text/markdown"}